<?PHP
/**
 *
 * This file gives an example of configuring Net_Monitor using an INI file
 *
 * @package Net_Monitor
 * @see config.ini.php
 */
/**
 *
 */
require_once('Net/Monitor.php');
$config = parse_ini_file('config.ini.php',true);
$alerts = $config;
unset($alerts['services']);
unset($alerts['options']);
$services = $config['services'];
while(list($key,$value) = each($services)) {
    $value = explode(',',$value);
    $value = array_map('trim',$value);
    $services[$key] = $value;
}
$options = $config['options'];
$monitor = new Net_Monitor($services,$alerts,$options);
$monitor->checkAll();
?>
